package main

import (
	"fmt"
	"yuleduiPay/middle"
	"yuleduiPay/service"

	_ "github.com/gogf/gf/contrib/nosql/redis/v2"
	"github.com/gogf/gf/v2/frame/g"
	"github.com/gogf/gf/v2/net/ghttp"
)

func main() {

	s := g.Server()
	s.Use(middle.MiddlewareCORS, middle.LoggingMiddleware, middle.MiddlewareHandlerResponse)
	s.Group("/api", func(group *ghttp.RouterGroup) {
		group.Bind(
			new(service.Pay),
		)
	})
	s.Group("/ysePay", func(group *ghttp.RouterGroup) {
		group.Bind(
			new(service.YsePay),
		)
	})

	err := service.MQTTService.InitMQTT()
	if err != nil {
		fmt.Println(err)
		return
	}
	g.Log().Line().Print(nil, "初始化成功")
	fmt.Println("初始化完成")
	s.SetOpenApiPath("/api.json")
	s.SetSwaggerPath("/swagger")
	s.SetPort(8000)
	s.Run()
}
