package vo

import "github.com/gogf/gf/v2/frame/g"

type RespBase struct {
	Code    int    `json:"code"`    //错误码
	Message string `json:"message"` //成功还是失败
}

type PayQrCodeReq struct {
	g.Meta    `path:"/payQrCode" method:"post"`
	ShopId    string  `json:"shopId"`    //商户ID
	Price     string  `json:"price"`     //商品原价
	Bean      float64 `json:"bean"`      //抵扣金豆钱数
	Reduction int     `json:"reduction"` //随机立减 单位分
	OpenId    string  `json:"openId"`    //微信OpenId
	Mobile    string  `json:"mobile"`    //支付用户手机号
	Channel   int     `json:"channel"`   //支付渠道 1.微信 2.支付宝
}
type PayQrCodeResp struct {
	OrderId      string  `json:"orderId"`      //订单号
	Bean         float64 `json:"bean"`         //金豆
	Reduction    float64 `json:"reduction"`    //随机立减
	JsapiPayInfo string  `json:"jsapiPayInfo"` //支付信息

}
type YseJavaResp struct {
	Sign       string `json:"sign"`
	BizContent string `json:"biz_content"`
}

type GetReductionReq struct {
	g.Meta `path:"/getReduction" method:"post"`
	ShopId string `json:"shopId"` //店铺ID
}
type GetReductionResp struct {
	Reduction int64 `json:"reduction"` //随机立减，单位分
}
